IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_153_102_search]') AND type = 'P')
DROP PROCEDURE [dbo].[order_153_102_search]
GO

-- 生成时间:2018-06-27 14:12:35 by ebs-core  
CREATE  procedure order_153_102_search(
@ordid bigint,
@key nvarchar(200),
@pagesize int 
) 
as  
begin  
set nocount on 
-- 将@key 分解为三个值
declare @key1 nvarchar(200)
declare @key2 nvarchar(200)
declare @key3 nvarchar(200)
set @key1=''
set @key2=''
set @key3=''
declare @i int 
set @key1 = @key 
set @key1 = replace(@key1,'  ',' ') 
set @key1 = replace(@key1,'  ',' ') 
set @key1 = replace(@key1,'  ',' ') 
set @key1 = replace(@key1,',,',',') 
set @key1 = replace(@key1,',,',',') 
set @key1 = replace(@key1,',,',',') 
set @key1 = replace(@key1,',',' ') 
set @key1 = replace(@key1,'  ',' ') 
set @key1 = replace(@key1,'  ',' ') 
set @i = charindex(' ',@key1) 
if (@i>0) 
begin
set @key2 = substring(@key1,@i+1,200) 
set @key1 = substring(@key1,1,@i-1) 
end 
if (@key2>'') 
begin
set @i = charindex(' ',@key2) 
if (@i>0) 
begin
set @key3 = substring(@key2,@i+1,200) 
set @key2 = substring(@key2,1,@i-1) 
end 
end 
if (@key1='') set @key1='%' 
if (charindex('%',@key1)<=0) set @key1='%'+@key1+'%'

if (@key2='') set @key2='%' 
if (charindex('%',@key2)<=0) set @key2='%'+@key2+'%'

if (@key3='') set @key3='%' 
if (charindex('%',@key3)<=0) set @key3='%'+@key3+'%'

select top(@pagesize) * from order_153_102  
where ord2_ordid=@ordid and ( (ord2_caption like @key1 and ord2_caption like @key2 and ord2_caption like @key3) or  (ord2_code like @key1 and ord2_code like @key2 and ord2_code like @key3) or  (convert(varchar(100),ord2_date, 21) like @key1 and convert(varchar(100),ord2_date, 21) like @key2 and convert(varchar(100),ord2_date, 21) like @key3) or  (convert(varchar(100),ord2_dksj, 21) like @key1 and convert(varchar(100),ord2_dksj, 21) like @key2 and convert(varchar(100),ord2_dksj, 21) like @key3) or  (ord2_gh like @key1 and ord2_gh like @key2 and ord2_gh like @key3) or  (ord2_group like @key1 and ord2_group like @key2 and ord2_group like @key3) or  (ord2_order like @key1 and ord2_order like @key2 and ord2_order like @key3) or  (ord2_qdcs like @key1 and ord2_qdcs like @key2 and ord2_qdcs like @key3) or  (ord2_sfbm like @key1 and ord2_sfbm like @key2 and ord2_sfbm like @key3) or  (ord2_sfch like @key1 and ord2_sfch like @key2 and ord2_sfch like @key3) or  (ord2_sfzh like @key1 and ord2_sfzh like @key2 and ord2_sfzh like @key3) or  (ord2_sfzs like @key1 and ord2_sfzs like @key2 and ord2_sfzs like @key3) or  (ord2_sjh like @key1 and ord2_sjh like @key2 and ord2_sjh like @key3) or  (ord2_status like @key1 and ord2_status like @key2 and ord2_status like @key3) or  (ord2_szdp like @key1 and ord2_szdp like @key2 and ord2_szdp like @key3) or  (ord2_tsrcuid like @key1 and ord2_tsrcuid like @key2 and ord2_tsrcuid like @key3) or  (convert(varchar(100),ord2_updated, 21) like @key1 and convert(varchar(100),ord2_updated, 21) like @key2 and convert(varchar(100),ord2_updated, 21) like @key3) or  (ord2_xm like @key1 and ord2_xm like @key2 and ord2_xm like @key3)) order by ord2_order, ord2_id 
select ord2_id  as ord2id_page from order_153_102 
where ord2_ordid=@ordid and ( (ord2_caption like @key1 and ord2_caption like @key2 and ord2_caption like @key3) or  (ord2_code like @key1 and ord2_code like @key2 and ord2_code like @key3) or  (convert(varchar(100),ord2_date, 21) like @key1 and convert(varchar(100),ord2_date, 21) like @key2 and convert(varchar(100),ord2_date, 21) like @key3) or  (convert(varchar(100),ord2_dksj, 21) like @key1 and convert(varchar(100),ord2_dksj, 21) like @key2 and convert(varchar(100),ord2_dksj, 21) like @key3) or  (ord2_gh like @key1 and ord2_gh like @key2 and ord2_gh like @key3) or  (ord2_group like @key1 and ord2_group like @key2 and ord2_group like @key3) or  (ord2_order like @key1 and ord2_order like @key2 and ord2_order like @key3) or  (ord2_qdcs like @key1 and ord2_qdcs like @key2 and ord2_qdcs like @key3) or  (ord2_sfbm like @key1 and ord2_sfbm like @key2 and ord2_sfbm like @key3) or  (ord2_sfch like @key1 and ord2_sfch like @key2 and ord2_sfch like @key3) or  (ord2_sfzh like @key1 and ord2_sfzh like @key2 and ord2_sfzh like @key3) or  (ord2_sfzs like @key1 and ord2_sfzs like @key2 and ord2_sfzs like @key3) or  (ord2_sjh like @key1 and ord2_sjh like @key2 and ord2_sjh like @key3) or  (ord2_status like @key1 and ord2_status like @key2 and ord2_status like @key3) or  (ord2_szdp like @key1 and ord2_szdp like @key2 and ord2_szdp like @key3) or  (ord2_tsrcuid like @key1 and ord2_tsrcuid like @key2 and ord2_tsrcuid like @key3) or  (convert(varchar(100),ord2_updated, 21) like @key1 and convert(varchar(100),ord2_updated, 21) like @key2 and convert(varchar(100),ord2_updated, 21) like @key3) or  (ord2_xm like @key1 and ord2_xm like @key2 and ord2_xm like @key3)) order by ord2_order, ord2_id 

set nocount off
end